%global momorel 1
%global xinever 1.1.6
%global xinerel 1m
%global gstreamerver 0.10.12
%global gst_pluginsver 0.10.12
%global artsver 1.5.6
%global artsrel 2m
%global qtver 3.3.7
%global kdever 3.5.6
%global kdelibsrel 6m
%global qtdir %{_libdir}/qt3
%global kdedir /usr
%global enable_gcc_check_and_hidden_visibility 0
%global md5sum_src0 3e76147784b2642891c9efbfe260e4c4

Summary: A multimedia mplayer/gstreamer/libxine frontend for KDE
Name: kmplayer
Version: 0.10.0c
Release: %{momorel}m%{?dist}
License: GPL
URL: http://kmplayer.kde.org/
Group: Applications/Multimedia
%NoSource 0 http://kmplayer.kde.org/pkgs/%{name}-%{version}.tar.bz2 %{md5sum_src0}
BuildRoot: %{_tmppath}/%{name}-%{version}-root
Requires: kdelibs >= %{kdever}-%{kdelibsrel}
Requires: mplayer
Requires: xine-lib >= %{xinever}
Requires: gst-plugins-base >= %{gst_pluginsver}
BuildPreReq: qt-devel >= %{qtver}
BuildPreReq: arts-devel >= %{artsver}-%{artsrel}
BuildPreReq: kdelibs-devel >= %{kdever}-%{kdelibsrel}
BuildPreReq: xine-lib >= %{xinever}-%{xinerel}
BuildPreReq: gstreamer-devel >= %{gstreamerver}
BuildPreReq: gst-plugins-base-devel >= %{gst_pluginsver}
BuildPreReq: gettext

%description
KMPlayer can play all the audio/video supported by mplayer/libxine/Gstreamer from local
file or url, be embedded inside Konqueror and KHTML and play DVD's.

%prep
%setup -q

%build
export QTDIR=%{qtdir} KDEDIR=%{kdedir} QTLIB=%{qtdir}/lib

CFLAGS="%{optflags}" \
CXXFLAGS="%{optflags}" \
./configure \
	--prefix=%{_prefix} \
	--libdir=%{_libdir} \
	--with-qt-libraries=%{qtdir}/lib \
	--enable-new-ldflags \
%if %{enable_gcc_check_and_hidden_visibility}
	--enable-gcc-hidden-visibility \
%endif
	--disable-debug \
	--disable-warnings \
	--disable-rpath

make %{?_smp_mflags}

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}
make install DESTDIR=%{buildroot}

# GNOME desktop beautification (requires "Icon=name.png" fix in setup section)
mkdir -p %{buildroot}%{_datadir}/pixmaps
ln -s ../icons/hicolor/48x48/apps/kmplayer.png %{buildroot}%{_datadir}/pixmaps/kmplayer.png

# make symlinks relative
pushd %{buildroot}%{_docdir}/HTML
for lang in da de es et fr it nl pt ru sv ; do
  if [ -d $lang ]; then
    cd $lang
    for i in *; do
      if [ -d $i -a -L $i/common ]; then
        rm -f $i/common
        ln -sf ../docs/common $i
      fi
    done
    cd ..
  fi
done
popd

# conflicts with kdelibs-3.5.6
rm -f %{buildroot}%{_datadir}/mimelnk/application/x-mplayer2.desktop

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%post
/sbin/ldconfig

%postun
/sbin/ldconfig

%files
%defattr(-, root, root)
%doc AUTHORS COPYING* ChangeLog INSTALL README TODO
%{_bindir}/kgstplayer
%{_bindir}/kmplayer
%{_bindir}/knpplayer
%{_bindir}/kxineplayer
%{_bindir}/kxvplayer
%{_libdir}/kde3/kmplayer.la
%{_libdir}/kde3/kmplayer.so
%{_libdir}/kde3/libkmplayerpart.la
%{_libdir}/kde3/libkmplayerpart.so
%{_libdir}/libkdeinit_kmplayer.la
%{_libdir}/libkdeinit_kmplayer.so
%{_libdir}/libkmplayercommon.la
%{_libdir}/libkmplayercommon.so
%{_datadir}/applications/kde/kmplayer.desktop
%{_datadir}/apps/kmplayer
%{_datadir}/config/kmplayerrc
%{_datadir}/doc/HTML/*/kmplayer
%{_datadir}/icons/*/*/*/kmplayer.png
%{_datadir}/icons/*/*/*/kmplayer.svgz
%{_datadir}/locale/*/LC_MESSAGES/kmplayer.mo
%{_datadir}/mimelnk/application/x-kmplayer.desktop
%{_datadir}/mimelnk/video/x-ms-wmp.desktop
%{_datadir}/pixmaps/kmplayer.png
%{_datadir}/services/kmplayer_part.desktop

%changelog
* Wed Dec 26 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (0.10.0c-1m)
- update to 0.10.0c

* Sat Dec  8 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (0.10.0b-1m)
- update to 0.10.0b

* Sat Sep 29 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (0.10.0a-1m)
- update to 0.10.0a

* Thu May 10 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.9.4a-1m)
- initial package for Momonga Linux
